<template>
  <div id="appointementPage">
   <div class="btn--top 3">
        <a @click="btnDisconnect">Disconnect</a>
      </div>
    <br />
    <div class="vuecal--green-theme">
      <vue-cal
        selected-date="2020-06-19"
        :time-from="9 * 60"
        :time-to="23 * 60"
        :disable-views="['years', 'year', 'month']"
        hide-weekends
        :events="events"
      >
      </vue-cal>
    </div>
    <br />
    <div class="item">
      <div class="formulario">
        <Formulario
          :events="events"
          @conferm-appointment="btnConfermAppointment"
        ></Formulario>
      </div>
      <div class="reserveAppointment">
        <ReserveAppointment
          :events="events"
          @button-delete="buttonDelete"
          @buttonedit1="buttonEdit"
        ></ReserveAppointment>
      </div>
    </div>
  </div>
</template>

<script>
import VueCal from "vue-cal";
import "vue-cal/dist/vuecal.css";
import ReserveAppointment from "@/components/ReserveAppointment.vue";

import Formulario from "@/components/Formulario.vue";
export default {
  name: "appointementPage",
  components: {
    ReserveAppointment,
    Formulario,
    VueCal
  },
  props: {
    events: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {
      peluquero: "",
      title: "",
      start: "",
      end: "",
      classe: ""
    };
  },
  methods: {
        btnDisconnect() {
      this.$emit("disconnect");
    },
    buttonDelete(id) {
      this.$emit("button-delete", id);
    },
    buttonEdit(events) {
      this.$emit("button-edit", events);
    },
    btnConfermAppointment(peluquero, title, start, end, classe) {
      this.$emit("conferm-appointment", peluquero, title, start, end, classe);
    }
  }
};
</script>

<style scoped>
@media only screen and (min-width: 500px) {
  /* For mobile phones: */
  [class*="item"] {
    width: 100%;
    display: flex;
    flex-wrap: nowrap;
    justify-content: space-between;
  }
  .container{
      margin-top: 44px;}
}

.btn--top {
  width: 100%;
  display: block;
  text-align: center;
  margin-top: 50px;

     
}

.btn--top a {
  left: 545px;
    top: 642px;
  background-color: white;
  color: black;
  text-decoration: none;
    position: absolute;
  display: inline-block;
  font-size: 16px;
width: 260px;
  padding: 16px 65px;
  border-radius: 40px;

  cursor: pointer;
}
.btn--top a:hover {
  background-color: #d2dbf9;
}

</style>
